﻿@model EpamMVC.WEB.Areas.Admin.Models.UserAdmin.DetailsViewModel

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Основная информация</h3>

        <div class="card-tools">
            <a class="btn btn-info btn-sm"
               href="@Url.Action("Edit", new {Model.User.Id})">
                <i class="fas fa-pencil-alt"></i>
                Отредактировать
            </a>

            <a class="btn btn-danger btn-sm "
               href="@Url.Action("Delete", new {Model.User.Id})">
                <i class="fas fa-trash"></i>
                Удалить
            </a>
        </div>
    </div>

    <div class="card-body">
        <dl class="dl-horizontal">
            <dt>
                Id
            </dt>
            <dd>
                @Model.User.Id
            </dd>

            <dt>
                Email
            </dt>
            <dd>
                @Model.User.Email
            </dd>
            <dd>
                @if (Model.User.LockoutEnabled)
                {
                    <span class="badge bg-danger">Заблокирован</span>
                }
                else
                {
                    <span class="badge bg-success">Активен</span>
                }
            </dd>
        </dl>
    </div>

</div>

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Роли пользователя</h3>

    </div>
    <div class="card-body">
        @if (Model.Roles.Count == 0)
        {
            <p>У пользователя нет присвоенных ролей.</p>
        }
        else
        {
            <ul>
                @foreach (var role in Model.Roles)
                {
                    <li>
                        @role
                    </li>
                }
            </ul>
        }
    </div>
</div>

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Карты пользователя</h3>
    </div>
    <div class="card-body">
        @if (Model.Accounts.Count == 0)
        {
            <p>У пользователя нет карт.</p>
        }
        else
        {
            <table class="table">
                @foreach (var account in Model.Accounts)
                {
                    <tr>
                        <td>
                            @account.Id
                        </td>
                        <td>
                            @account.Balance
                        </td>
                    </tr>
                }
            </table>
        }

    </div>
</div>
